you can not install on systems with big disk space: The installation requires at least 5G of storage.
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1123582

Description of problem:

Installer complains I do not have enough free disk space - you can not install

Version-Release number of selected component (if applicable):

Satellite-6.0.4-RHEL-7-20140723.0

How reproducible:

always

Steps to Reproduce:

1. Check you gave free disk space in TBs:    # df -H --total

Filesystem                              Size  Used Avail Use% Mounted on

/dev/mapper/rhel_dell--per620--02-root   54G  2.7G   51G   6% /

devtmpfs                                 17G     0   17G   0% /dev

tmpfs                                    17G     0   17G   0% /dev/shm

tmpfs                                    17G  9.4M   17G   1% /run

tmpfs                                    17G     0   17G   0% /sys/fs/cgroup

/dev/sda1                               521M  110M  412M  22% /boot

/dev/mapper/rhel_dell--per620--02-home   47T   36M   47T   1% /home

total                                    47T  2.9G   47T   1% -

1. On a system with big enough free disk space (it TB) just run:    # katello-installer

Actual results:

1. katello-installer

The installation requires at least 5G of storage.

Your system does not meet configuration criteria

Expected results:

Installation should proceed

Additional info:

I believe this is caused by this code which expects free disk space to be in gigabytes:

1. rpm -qf /usr/share/katello-installer/checks/disk_size.rb

katello-installer-0.0.56-1.el7sat.noarch

2. cat /usr/share/katello-installer/checks/disk_size.rb

#!/usr/bin/env ruby

SIZE = %q(The installation requires at least 5G of storage.)

def error_exit(message, code)

$stderr.puts message

exit code
end

begin

total_space = `df -H --total`.split("\n")[-1].split()[3]

1. Look for a value greater than 4GB

error_exit(SIZE, 1) unless total_space.include?("G")

error_exit(SIZE, 2) if total_space.gsub("G","").to_i < 5

rescue

2. Eat the exception and continue

end

Associated revisions

Revision 3c780f8f - 08/06/2014 12:45 PM - Bryan Kearney 

Fixes #6823 : Use kilobytes instead of human readable strings and be more permissive if mongo already exists

Revision b490b499 - 08/11/2014 03:07 PM - Bryan Kearney

Merge pull request #92 from bkearney/bkearney/6823

Fixes #6823 : Support T and G file system sizes

History

#1 - 07/29/2014 02:52 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/katello-installer/pull/92 added

- Pull request deleted ()

#2 - 08/01/2014 04:29 PM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/11/2014 04:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello-installer|3c780f8f3d9673cd5e664ecf05061b81ba6e3a5c.

#4 - 08/22/2014 09:24 AM - Eric Helms

- translation missing: en.field_release set to 13

Powered by TCPDF (www.tcpdf.org)

05/17/2024 2/2

https://projects.theforeman.org/projects/katello/repository/katello-installer/revisions/3c780f8f3d9673cd5e664ecf05061b81ba6e3a5c
http://www.tcpdf.org

